lapdm_msg_ctx Struct Reference
LAPDm implementation according to GSM TS 04.06

LAPDm message context. More...

`#include <lapdm.h>`

## Data Fields

struct lapdm_datalink * | dl
int | lapdm_fmt
uint8_t | chan_nr
uint8_t | link_id
uint8_t | ta_ind
uint8_t | tx_power_ind

## Detailed Description

LAPDm message context.

## Field Documentation

## chan_nr

uint8_t lapdm_msg_ctx::chan_nr

Referenced by l2_ph_data_ind(), lapdm_send_ph_data_req(), rsl_rll_error(), send_rll_simple(), send_rslms_rll_l3(), send_rslms_rll_l3_ui(), and set_lapdm_context().

## dl

struct lapdm_datalink* lapdm_msg_ctx::dl

Referenced by l2_ph_data_ind(), lapdm_send_ph_data_req(), rsl_rll_error(), send_rll_simple(), send_rslms_dlsap(), send_rslms_rll_l3(), send_rslms_rll_l3_ui(), and set_lapdm_context().

## lapdm_fmt

int lapdm_msg_ctx::lapdm_fmt

Referenced by l2_ph_data_ind(), and send_rslms_rll_l3_ui().

## link_id

uint8_t lapdm_msg_ctx::link_id

Referenced by l2_ph_data_ind(), lapdm_send_ph_data_req(), rsl_rll_error(), send_rll_simple(), send_rslms_rll_l3(), send_rslms_rll_l3_ui(), and set_lapdm_context().

## ta_ind

uint8_t lapdm_msg_ctx::ta_ind

Referenced by l2_ph_data_ind(), and send_rslms_rll_l3_ui().

## tx_power_ind

uint8_t lapdm_msg_ctx::tx_power_ind

Referenced by l2_ph_data_ind(), and send_rslms_rll_l3_ui().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h